Skip to main content
GET
/
v2
/
admin
/
call-campaigns
List Campaigns
curl --request GET \
  --url https://api.voxo.co/v2/admin/call-campaigns/ \
  --header 'Authorization: Bearer <token>'
{
  "records": [
    {
      "id": 123,
      "tenantId": 123,
      "name": "<string>",
      "type": "<string>",
      "dateStart": "<string>",
      "dateEnd": "<string>",
      "callerId": "<string>",
      "callDelay": 123,
      "state": "<string>",
      "lastrun": "<string>",
      "dialtimeout": 123,
      "tech": "<string>",
      "message": "<string>",
      "timeStart": "<string>",
      "timeEnd": "<string>",
      "timezone": "<string>",
      "callFrequency": 123,
      "callHoursStart": "<string>",
      "callHoursEnd": "<string>",
      "recording": "<string>"
    }
  ],
  "page": 123,
  "maxPage": 123,
  "totalRecords": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tenantId
string
required

Tenant ID

Pattern: ^[1-9]\d*$
query
string

Search filter by campaign name

paginated
string

Enable pagination (1 = yes, 0 = no)

page
string

Page number

Pattern: ^[1-9]\d*$
recordsPerPage
string

Number of records per page

Pattern: ^[1-9]\d*$

Response

200 - application/json

Campaign list

records
object[]
required
page
number
required
maxPage
number
required
totalRecords
number
required